This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 763728 - (GLUSTER-1996) bonnie fails with 32-bit client
bonnie fails with 32-bit client
Status: CLOSED DUPLICATE of bug 763704
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1.0
All Linux
low Severity high
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-21 04:15 EDT by Lakshmipathi G
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lakshmipathi G 2010-10-21 01:16:44 EDT
log file /share/tickets/bug763728
Comment 1 Lakshmipathi G 2010-10-21 04:02:41 EDT
bonnie with strace  -
---------------
gettimeofday({1287632239, 696382}, NULL) = 0
getrusage(RUSAGE_SELF, {ru_utime={54, 791670}, ru_stime={28, 482669}, ...}) = 0
gettimeofday({1287632239, 696441}, NULL) = 0
getrusage(RUSAGE_SELF, {ru_utime={54, 791670}, ru_stime={28, 482669}, ...}) = 0
write(2, "done.\nStat files in sequential o"..., 39done.
Stat files in sequential order...) = 39
gettimeofday({1287632239, 696524}, NULL) = 0
getrusage(RUSAGE_SELF, {ru_utime={54, 791670}, ru_stime={28, 482669}, ...}) = 0
open(".", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = 4
fcntl64(4, F_SETFD, FD_CLOEXEC)         = 0
getdents(4, 0x82fbdcc, 32768)           = -1 EINVAL (Invalid argument)
close(4)                                = 0
write(2, "Expected 16384 files but only go"..., 36Expected 16384 files but only got 0
) = 36
write(2, "Cleaning up test directory after"..., 40Cleaning up test directory after error.
) = 40
---------------
Comment 2 Lakshmipathi G 2010-10-21 04:15:43 EDT
Running bonnie on 32-bit machine failed. But it works with 64-bit client.
setup - 2 afr cluster
version - 3.1
------------------------------------
nfsclient# bonnie++ -u root
Using uid:0, gid:0.
Writing with putc()...done
Writing intelligently...done
Rewriting...done
Reading with getc()...done
Reading intelligently...done
start 'em...done...done...done...
Create files in sequential order...done.
Stat files in sequential order...Expected 16384 files but only got 0
Cleaning up test directory after error.
[root@Centos-5 mnt]# bonnie++ -u root
Using uid:0, gid:0.
Writing with putc()...done
Writing intelligently...done
Rewriting...done
Reading with getc()...done
Reading intelligently...done
start 'em...done...done...done...
Create files in sequential order...done.
Stat files in sequential order...Expected 16384 files but only got 0
Cleaning up test directory after error.
-----
Comment 3 Lakshmipathi G 2010-10-25 03:19:31 EDT
Here is dmesg and log file details from 32-bit client.
#dmesg
=================
--> nfs_probe_fsinfo()
NFS call  fsinfo
NFS reply fsinfo: 0
<-- nfs_probe_fsinfo() = 0
Server FSID: 5b31bec95258dc88:0
NFS: nfs_fhget(0:1a/0 ct=1)
do_proc_get_root: call  fsinfo
do_proc_get_root: reply fsinfo: 0
NFS: nfs_fhget(0:1a/1 ct=1)
NFS call  access
NFS: nfs_update_inode(0:1a/1 ct=1 info=0x6)
NFS reply access: 0
NFS: permission(0:1a/1), mask=0x4, res=0
NFS: opendir(0:1a/1)
NFS: readdir(/) starting at cookie 0
NFS: readdir_search_pagecache() searching for offset 0
NFS: find_dirent_page: searching page 0 for target 0
NFS: nfs_readdir_filler: reading cookie 0 into page 0
NFS call  readdirplus 0
NFS reply readdir: 3
NFS: found cookie 1008869934 at index 0
NFS: find_dirent_page: returns 0
NFS: readdir_search_pagecache: returns 0
NFS: nfs_do_filldir() filling starting @ cookie 1008869934
NFS: nfs_fhget(0:1a/877268668805657217 ct=1)
NFS: dentry_delete(/j, 0)
NFS: nfs_do_filldir() filling ended @ cookie 1309826782; returning = -75
NFS: readdir(/) returns 0
NFS: readdir(/) starting at cookie 2
NFS: readdir_search_pagecache() searching for cookie 1309826782
NFS: find_dirent_page: searching page 0 for target 1309826782
NFS: find_dirent: examining cookie 1008869934
NFS: find_dirent: examining cookie 1309826782
NFS: find_dirent: examining cookie 2147483647
NFS: find_dirent_page: returns 0
NFS: readdir_search_pagecache: returns 0
NFS: nfs_do_filldir() filling starting @ cookie 2147483647
NFS: dentry_delete(/j, 8)
NFS: nfs_do_filldir() filling ended @ cookie 1309826782; returning = -75
NFS: readdir(/) returns 0
====================
# cat /etc/glusterd/logs/nfs.log
[2010-10-25 08:09:46.517028] T [rpcsvc.c:642:nfs_rpcsvc_conn_init] nfsrpc: tx pool: 525
[2010-10-25 08:09:46.517092] T [rpcsvc.c:649:nfs_rpcsvc_conn_init] nfsrpc: rx pool: 525
[2010-10-25 08:09:46.517171] D [rpcsvc.c:665:nfs_rpcsvc_conn_init] nfsrpc: New connection inited: sockfd: 13
[2010-10-25 08:09:46.517187] D [rpcsvc.c:2609:nfs_rpcsvc_conn_listening_handler] nfsrpc: New Connection: Program NFS3, Num: 100003, Ver: 3, Port: 38467
[2010-10-25 08:09:46.517217] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 4, dataread:4
[2010-10-25 08:09:46.517232] T [rpcsvc.c:1078:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Received fragment size: 40
[2010-10-25 08:09:46.517239] T [rpcsvc.c:1085:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Regular RPC header, remaining: 40
[2010-10-25 08:09:46.517250] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 40, dataread:40
[2010-10-25 08:09:46.517258] T [rpcsvc.c:2364:nfs_rpcsvc_record_update_state] nfsrpc: Regular frag
[2010-10-25 08:09:46.517266] T [rpcsvc.c:1176:nfs_rpcsvc_record_read_complete_frag] nfsrpc: Fragment remaining: 0
[2010-10-25 08:09:46.517274] T [rpcsvc.c:2386:nfs_rpcsvc_record_update_state] nfsrpc: Full Record Received.
[2010-10-25 08:09:46.517284] T [rpcsvc-auth.c:256:nfs_rpcsvc_auth_request_init] nfsrpc: Auth handler: AUTH_NULL
[2010-10-25 08:09:46.517292] D [rpcsvc.c:1842:nfs_rpcsvc_request_create] nfsrpc: RPC XID: 3d759558, Ver: 2, Program: 100003, ProgVers: 3, Proc: 0
[2010-10-25 08:09:46.517301] D [rpcsvc.c:1285:nfs_rpcsvc_program_actor] nfsrpc: Actor found: NFS3 - NULL
[2010-10-25 08:09:46.517310] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 0
[2010-10-25 08:09:46.517319] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 24, payload: 0, rpc hdr: 24
[2010-10-25 08:09:46.517327] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 0
[2010-10-25 08:09:46.517339] T [rpcsvc.c:2465:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: First Tx Buf
[2010-10-25 08:09:46.517351] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 28, Tx sent: 28
[2010-10-25 08:09:46.517379] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 4, dataread:0
[2010-10-25 08:09:46.517391] T [rpcsvc.c:2440:nfs_rpcsvc_conn_data_poll_err] nfsrpc: Received error event
[2010-10-25 08:09:46.517401] D [rpcsvc.c:718:__nfs_rpcsvc_conn_deinit] nfsrpc: Connection de-activated: sockfd: 13
[2010-10-25 08:09:46.517419] D [rpcsvc.c:693:nfs_rpcsvc_conn_destroy] nfsrpc: Connection destroyed
[2010-10-25 08:09:46.517577] T [rpcsvc.c:642:nfs_rpcsvc_conn_init] nfsrpc: tx pool: 525
[2010-10-25 08:09:46.517603] T [rpcsvc.c:649:nfs_rpcsvc_conn_init] nfsrpc: rx pool: 525
[2010-10-25 08:09:46.517658] D [rpcsvc.c:665:nfs_rpcsvc_conn_init] nfsrpc: New connection inited: sockfd: 13
[2010-10-25 08:09:46.517668] D [rpcsvc.c:2609:nfs_rpcsvc_conn_listening_handler] nfsrpc: New Connection: Program MOUNT3, Num: 100005, Ver: 3, Port: 38465
[2010-10-25 08:09:46.517693] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 4, dataread:4
[2010-10-25 08:09:46.517705] T [rpcsvc.c:1078:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Received fragment size: 40
[2010-10-25 08:09:46.517713] T [rpcsvc.c:1085:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Regular RPC header, remaining: 40
[2010-10-25 08:09:46.517723] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 40, dataread:40
[2010-10-25 08:09:46.517731] T [rpcsvc.c:2364:nfs_rpcsvc_record_update_state] nfsrpc: Regular frag
[2010-10-25 08:09:46.517738] T [rpcsvc.c:1176:nfs_rpcsvc_record_read_complete_frag] nfsrpc: Fragment remaining: 0
[2010-10-25 08:09:46.517746] T [rpcsvc.c:2386:nfs_rpcsvc_record_update_state] nfsrpc: Full Record Received.
[2010-10-25 08:09:46.517754] T [rpcsvc-auth.c:256:nfs_rpcsvc_auth_request_init] nfsrpc: Auth handler: AUTH_NULL
[2010-10-25 08:09:46.517762] D [rpcsvc.c:1842:nfs_rpcsvc_request_create] nfsrpc: RPC XID: 3c1d6748, Ver: 2, Program: 100005, ProgVers: 3, Proc: 0
[2010-10-25 08:09:46.517778] D [rpcsvc.c:1285:nfs_rpcsvc_program_actor] nfsrpc: Actor found: MOUNT3 - NULL
[2010-10-25 08:09:46.517787] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 0
[2010-10-25 08:09:46.517796] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 24, payload: 0, rpc hdr: 24
[2010-10-25 08:09:46.517804] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 0
[2010-10-25 08:09:46.517814] T [rpcsvc.c:2465:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: First Tx Buf
[2010-10-25 08:09:46.517825] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 28, Tx sent: 28
[2010-10-25 08:09:46.517872] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 4, dataread:0
[2010-10-25 08:09:46.517885] T [rpcsvc.c:2440:nfs_rpcsvc_conn_data_poll_err] nfsrpc: Received error event
[2010-10-25 08:09:46.517894] D [rpcsvc.c:718:__nfs_rpcsvc_conn_deinit] nfsrpc: Connection de-activated: sockfd: 13
[2010-10-25 08:09:46.517911] D [rpcsvc.c:693:nfs_rpcsvc_conn_destroy] nfsrpc: Connection destroyed
[2010-10-25 08:09:46.517948] T [rpcsvc.c:642:nfs_rpcsvc_conn_init] nfsrpc: tx pool: 525
[2010-10-25 08:09:46.517970] T [rpcsvc.c:649:nfs_rpcsvc_conn_init] nfsrpc: rx pool: 525
[2010-10-25 08:09:46.518024] D [rpcsvc.c:665:nfs_rpcsvc_conn_init] nfsrpc: New connection inited: sockfd: 13
[2010-10-25 08:09:46.518035] D [rpcsvc.c:2609:nfs_rpcsvc_conn_listening_handler] nfsrpc: New Connection: Program MOUNT3, Num: 100005, Ver: 3, Port: 38465
[2010-10-25 08:09:46.518065] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 4, dataread:4
[2010-10-25 08:09:46.518078] T [rpcsvc.c:1078:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Received fragment size: 112
[2010-10-25 08:09:46.518085] T [rpcsvc.c:1085:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Regular RPC header, remaining: 112
[2010-10-25 08:09:46.518096] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 112, dataread:112
[2010-10-25 08:09:46.518104] T [rpcsvc.c:2364:nfs_rpcsvc_record_update_state] nfsrpc: Regular frag
[2010-10-25 08:09:46.518111] T [rpcsvc.c:1176:nfs_rpcsvc_record_read_complete_frag] nfsrpc: Fragment remaining: 0
[2010-10-25 08:09:46.518119] T [rpcsvc.c:2386:nfs_rpcsvc_record_update_state] nfsrpc: Full Record Received.
[2010-10-25 08:09:46.518127] T [rpcsvc-auth.c:256:nfs_rpcsvc_auth_request_init] nfsrpc: Auth handler: AUTH_UNIX
[2010-10-25 08:09:46.518135] D [rpcsvc.c:1842:nfs_rpcsvc_request_create] nfsrpc: RPC XID: 2347ff0a, Ver: 2, Program: 100005, ProgVers: 3, Proc: 1
[2010-10-25 08:09:46.518144] T [auth-unix.c:67:nfs_auth_unix_authenticate] nfsrpc: Auth Info: machine name: Centos-5.5, uid: 0, gid: 0
[2010-10-25 08:09:46.518153] D [rpcsvc.c:1285:nfs_rpcsvc_program_actor] nfsrpc: Actor found: MOUNT3 - MNT
[2010-10-25 08:09:46.518162] D [mount3.c:761:mnt3svc_mnt] nfs-mount: dirpath: /getd
[2010-10-25 08:09:46.518170] D [mount3.c:688:mnt3_mntpath_to_export] nfs-mount: Found export volume: getd
[2010-10-25 08:09:46.587076] T [rpcsvc.c:906:nfs_rpcsvc_conn_privport_check] nfsrpc: Client port: 898
[2010-10-25 08:09:46.587104] T [nfs.c:410:nfs_user_create] nfs: uid: 0, gid 0, gids: 7
[2010-10-25 08:09:46.587131] T [nfs.c:418:nfs_user_create] nfs: gid: 0
[2010-10-25 08:09:46.587139] T [nfs.c:418:nfs_user_create] nfs: gid: 1
[2010-10-25 08:09:46.587146] T [nfs.c:418:nfs_user_create] nfs: gid: 2
[2010-10-25 08:09:46.587153] T [nfs.c:418:nfs_user_create] nfs: gid: 3
[2010-10-25 08:09:46.587160] T [nfs.c:418:nfs_user_create] nfs: gid: 4
[2010-10-25 08:09:46.587166] T [nfs.c:418:nfs_user_create] nfs: gid: 6
[2010-10-25 08:09:46.587173] T [nfs.c:418:nfs_user_create] nfs: gid: 10
[2010-10-25 08:09:46.587187] T [nfs-fops.c:353:nfs_fop_lookup] nfs: Lookup: /
[2010-10-25 08:09:46.587200] T [nfs-fops.c:135:nfs_create_frame] nfs: uid: 0, gid 0, gids: 7
[2010-10-25 08:09:46.587207] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 0
[2010-10-25 08:09:46.587214] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 1
[2010-10-25 08:09:46.587227] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 2
[2010-10-25 08:09:46.587235] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 3
[2010-10-25 08:09:46.587241] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 4
[2010-10-25 08:09:46.587248] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 6
[2010-10-25 08:09:46.587255] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 10
[2010-10-25 08:09:46.587337] T [rpc-clnt.c:1222:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 36
[2010-10-25 08:09:46.587355] T [rpc-clnt.c:1122:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 392, payload: 264, rpc hdr: 128
[2010-10-25 08:09:46.587379] T [rpc-clnt.c:1426:rpc_clnt_submit] rpc-clnt: submitted request (XID: 0x2d Program: GlusterFS 3.1, ProgVers: 310, Proc: 27) to rpc-transport (getd-client-0)
[2010-10-25 08:09:46.587394] T [rpc-clnt.c:1222:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 0
[2010-10-25 08:09:46.587411] T [rpc-clnt.c:1122:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 128, payload: 0, rpc hdr: 128
[2010-10-25 08:09:46.587433] T [rpc-clnt.c:1426:rpc_clnt_submit] rpc-clnt: submitted request (XID: 0x2e Program: GlusterFS Handshake, ProgVers: 1, Proc: 3) to rpc-transport (getd-client-0)
[2010-10-25 08:09:46.587454] T [rpc-clnt.c:1222:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 36
[2010-10-25 08:09:46.587463] T [rpc-clnt.c:1122:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 392, payload: 264, rpc hdr: 128
[2010-10-25 08:09:46.587490] T [rpc-clnt.c:1426:rpc_clnt_submit] rpc-clnt: submitted request (XID: 0x41 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27) to rpc-transport (getd-client-1)
[2010-10-25 08:09:46.587506] T [rpc-clnt.c:1222:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 0
[2010-10-25 08:09:46.587522] T [rpc-clnt.c:1122:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 128, payload: 0, rpc hdr: 128
[2010-10-25 08:09:46.587540] T [rpc-clnt.c:1426:rpc_clnt_submit] rpc-clnt: submitted request (XID: 0x42 Program: GlusterFS Handshake, ProgVers: 1, Proc: 3) to rpc-transport (getd-client-1)
[2010-10-25 08:09:46.587834] T [rpc-clnt.c:631:rpc_clnt_reply_init] rpc-clnt: recieved rpc message (RPC XID: 0x2d Program: GlusterFS 3.1, ProgVers: 310, Proc: 27) from rpc-transport (getd-client-0)
[2010-10-25 08:09:46.587921] T [rpc-clnt.c:631:rpc_clnt_reply_init] rpc-clnt: recieved rpc message (RPC XID: 0x2e Program: GlusterFS Handshake, ProgVers: 1, Proc: 3) from rpc-transport (getd-client-0)
[2010-10-25 08:09:46.588029] T [rpc-clnt.c:631:rpc_clnt_reply_init] rpc-clnt: recieved rpc message (RPC XID: 0x41 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27) from rpc-transport (getd-client-1)
[2010-10-25 08:09:46.588060] T [io-cache.c:225:ioc_lookup_cbk] getd-io-cache: locked inode(0x8913730)
[2010-10-25 08:09:46.588070] T [io-cache.c:234:ioc_lookup_cbk] getd-io-cache: unlocked inode(0x8913730)
[2010-10-25 08:09:46.588078] T [io-cache.c:133:ioc_inode_flush] getd-io-cache: locked inode(0x8913730)
[2010-10-25 08:09:46.588086] T [io-cache.c:137:ioc_inode_flush] getd-io-cache: unlocked inode(0x8913730)
[2010-10-25 08:09:46.588093] T [io-cache.c:243:ioc_lookup_cbk] getd-io-cache: locked table(0x88fa380)
[2010-10-25 08:09:46.588100] T [io-cache.c:248:ioc_lookup_cbk] getd-io-cache: unlocked table(0x88fa380)
[2010-10-25 08:09:46.624301] D [mount3.c:286:mnt3svc_lookup_mount_cbk] nfs-mount: MNT reply: fh FH: hashcount 0, exportid 95f225e2-2ac9-42ba-88dc-5852c9be315b, gfid 00000000-0000-0000-0000-000000000001, status: 0
[2010-10-25 08:09:46.624329] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 56
[2010-10-25 08:09:46.624340] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 80, payload: 56, rpc hdr: 24
[2010-10-25 08:09:46.624349] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 56
[2010-10-25 08:09:46.624395] T [rpc-clnt.c:631:rpc_clnt_reply_init] rpc-clnt: recieved rpc message (RPC XID: 0x42 Program: GlusterFS Handshake, ProgVers: 1, Proc: 3) from rpc-transport (getd-client-1)
[2010-10-25 08:09:46.624422] T [rpcsvc.c:2465:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: First Tx Buf
[2010-10-25 08:09:46.624436] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 28, Tx sent: 28
[2010-10-25 08:09:46.624445] T [rpcsvc.c:2472:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: Last Tx Buf
[2010-10-25 08:09:46.624462] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 56, Tx sent: 56
[2010-10-25 08:09:46.624492] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 4, dataread:0
[2010-10-25 08:09:46.624505] T [rpcsvc.c:2440:nfs_rpcsvc_conn_data_poll_err] nfsrpc: Received error event
[2010-10-25 08:09:46.624514] D [rpcsvc.c:718:__nfs_rpcsvc_conn_deinit] nfsrpc: Connection de-activated: sockfd: 13
[2010-10-25 08:09:46.624534] D [rpcsvc.c:693:nfs_rpcsvc_conn_destroy] nfsrpc: Connection destroyed
[2010-10-25 08:09:46.624746] T [rpcsvc.c:642:nfs_rpcsvc_conn_init] nfsrpc: tx pool: 525
[2010-10-25 08:09:46.624772] T [rpcsvc.c:649:nfs_rpcsvc_conn_init] nfsrpc: rx pool: 525
[2010-10-25 08:09:46.624837] D [rpcsvc.c:665:nfs_rpcsvc_conn_init] nfsrpc: New connection inited: sockfd: 13
[2010-10-25 08:09:46.624852] D [rpcsvc.c:2609:nfs_rpcsvc_conn_listening_handler] nfsrpc: New Connection: Program NFS3, Num: 100003, Ver: 3, Port: 38467
[2010-10-25 08:09:46.624876] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 4, dataread:4
[2010-10-25 08:09:46.624889] T [rpcsvc.c:1078:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Received fragment size: 40
[2010-10-25 08:09:46.624897] T [rpcsvc.c:1085:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Regular RPC header, remaining: 40
[2010-10-25 08:09:46.624907] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 40, dataread:40
[2010-10-25 08:09:46.624915] T [rpcsvc.c:2364:nfs_rpcsvc_record_update_state] nfsrpc: Regular frag
[2010-10-25 08:09:46.624923] T [rpcsvc.c:1176:nfs_rpcsvc_record_read_complete_frag] nfsrpc: Fragment remaining: 0
[2010-10-25 08:09:46.624930] T [rpcsvc.c:2386:nfs_rpcsvc_record_update_state] nfsrpc: Full Record Received.
[2010-10-25 08:09:46.624939] T [rpcsvc-auth.c:256:nfs_rpcsvc_auth_request_init] nfsrpc: Auth handler: AUTH_NULL
[2010-10-25 08:09:46.624946] D [rpcsvc.c:1842:nfs_rpcsvc_request_create] nfsrpc: RPC XID: 39db71ac, Ver: 2, Program: 100003, ProgVers: 3, Proc: 0
[2010-10-25 08:09:46.624955] D [rpcsvc.c:1285:nfs_rpcsvc_program_actor] nfsrpc: Actor found: NFS3 - NULL
[2010-10-25 08:09:46.624963] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 0
[2010-10-25 08:09:46.624972] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 24, payload: 0, rpc hdr: 24
[2010-10-25 08:09:46.624980] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 0
[2010-10-25 08:09:46.624991] T [rpcsvc.c:2465:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: First Tx Buf
[2010-10-25 08:09:46.625001] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 28, Tx sent: 28
[2010-10-25 08:09:46.625114] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 4, dataread:4
[2010-10-25 08:09:46.625130] T [rpcsvc.c:1078:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Received fragment size: 40
[2010-10-25 08:09:46.625138] T [rpcsvc.c:1085:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Regular RPC header, remaining: 40
[2010-10-25 08:09:46.625148] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 40, dataread:40
[2010-10-25 08:09:46.625157] T [rpcsvc.c:2364:nfs_rpcsvc_record_update_state] nfsrpc: Regular frag
[2010-10-25 08:09:46.625164] T [rpcsvc.c:1176:nfs_rpcsvc_record_read_complete_frag] nfsrpc: Fragment remaining: 0
[2010-10-25 08:09:46.625172] T [rpcsvc.c:2386:nfs_rpcsvc_record_update_state] nfsrpc: Full Record Received.
[2010-10-25 08:09:46.625180] T [rpcsvc-auth.c:256:nfs_rpcsvc_auth_request_init] nfsrpc: Auth handler: AUTH_NULL
[2010-10-25 08:09:46.625188] D [rpcsvc.c:1842:nfs_rpcsvc_request_create] nfsrpc: RPC XID: 3adb71ac, Ver: 2, Program: 100227, ProgVers: 3, Proc: 0
[2010-10-25 08:09:46.625202] E [rpcsvc.c:1249:nfs_rpcsvc_program_actor] nfsrpc: RPC program not available
[2010-10-25 08:09:46.625210] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 0
[2010-10-25 08:09:46.625219] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 24, payload: 0, rpc hdr: 24
[2010-10-25 08:09:46.625227] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 0
[2010-10-25 08:09:46.625238] T [rpcsvc.c:2465:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: First Tx Buf
[2010-10-25 08:09:46.625249] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 28, Tx sent: 28
[2010-10-25 08:09:46.625354] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 4, dataread:4
[2010-10-25 08:09:46.625370] T [rpcsvc.c:1078:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Received fragment size: 140
[2010-10-25 08:09:46.625378] T [rpcsvc.c:1085:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Regular RPC header, remaining: 140
[2010-10-25 08:09:46.625406] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 140, dataread:140
[2010-10-25 08:09:46.625416] T [rpcsvc.c:2364:nfs_rpcsvc_record_update_state] nfsrpc: Regular frag
[2010-10-25 08:09:46.625423] T [rpcsvc.c:1176:nfs_rpcsvc_record_read_complete_frag] nfsrpc: Fragment remaining: 0
[2010-10-25 08:09:46.625431] T [rpcsvc.c:2386:nfs_rpcsvc_record_update_state] nfsrpc: Full Record Received.
[2010-10-25 08:09:46.625439] T [rpcsvc-auth.c:256:nfs_rpcsvc_auth_request_init] nfsrpc: Auth handler: AUTH_UNIX
[2010-10-25 08:09:46.625447] D [rpcsvc.c:1842:nfs_rpcsvc_request_create] nfsrpc: RPC XID: 3bdb71ac, Ver: 2, Program: 100003, ProgVers: 3, Proc: 19
[2010-10-25 08:09:46.625457] T [auth-unix.c:67:nfs_auth_unix_authenticate] nfsrpc: Auth Info: machine name: Centos-5.5, uid: 0, gid: 0
[2010-10-25 08:09:46.625465] D [rpcsvc.c:1285:nfs_rpcsvc_program_actor] nfsrpc: Actor found: NFS3 - FSINFO
[2010-10-25 08:09:46.625478] D [nfs3-helpers.c:2242:nfs3_log_common_call] nfs-nfsv3: XID: 3bdb71ac, FSINFO: args: FH: hashcount 0, exportid 95f225e2-2ac9-42ba-88dc-5852c9be315b, gfid 00000000-0000-0000-0000-000000000001
[2010-10-25 08:09:46.625496] T [nfs3.c:4453:nfs3_fsinfo] nfs-nfsv3: FH to Volume: getd
[2010-10-25 08:09:46.625506] T [nfs3-helpers.c:3043:nfs3_fh_resolve_inode] nfs-nfsv3: FH needs inode resolution
[2010-10-25 08:09:46.625514] T [nfs3-helpers.c:2492:nfs3_fh_resolve_inode_done] nfs-nfsv3: FH inode resolved
[2010-10-25 08:09:46.625523] T [nfs.c:410:nfs_user_create] nfs: uid: 0, gid 0, gids: 7
[2010-10-25 08:09:46.625531] T [nfs.c:418:nfs_user_create] nfs: gid: 0
[2010-10-25 08:09:46.625538] T [nfs.c:418:nfs_user_create] nfs: gid: 1
[2010-10-25 08:09:46.625544] T [nfs.c:418:nfs_user_create] nfs: gid: 2
[2010-10-25 08:09:46.625551] T [nfs.c:418:nfs_user_create] nfs: gid: 3
[2010-10-25 08:09:46.625558] T [nfs.c:418:nfs_user_create] nfs: gid: 4
[2010-10-25 08:09:46.625564] T [nfs.c:418:nfs_user_create] nfs: gid: 6
[2010-10-25 08:09:46.625571] T [nfs.c:418:nfs_user_create] nfs: gid: 10
[2010-10-25 08:09:46.625581] T [nfs-fops.c:406:nfs_fop_stat] nfs: Stat: /
[2010-10-25 08:09:46.625592] T [nfs-fops.c:135:nfs_create_frame] nfs: uid: 0, gid 0, gids: 7
[2010-10-25 08:09:46.625600] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 0
[2010-10-25 08:09:46.625606] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 1
[2010-10-25 08:09:46.625613] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 2
[2010-10-25 08:09:46.625620] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 3
[2010-10-25 08:09:46.625626] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 4
[2010-10-25 08:09:46.625633] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 6
[2010-10-25 08:09:46.625640] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 10
[2010-10-25 08:09:46.625657] T [rpc-clnt.c:1222:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 37
[2010-10-25 08:09:46.625668] T [rpc-clnt.c:1122:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 152, payload: 24, rpc hdr: 128
[2010-10-25 08:09:46.625695] T [rpc-clnt.c:1426:rpc_clnt_submit] rpc-clnt: submitted request (XID: 0x43 Program: GlusterFS 3.1, ProgVers: 310, Proc: 1) to rpc-transport (getd-client-1)
[2010-10-25 08:09:46.625769] T [rpc-clnt.c:631:rpc_clnt_reply_init] rpc-clnt: recieved rpc message (RPC XID: 0x43 Program: GlusterFS 3.1, ProgVers: 310, Proc: 1) from rpc-transport (getd-client-1)
[2010-10-25 08:09:46.625792] D [nfs3-helpers.c:2374:nfs3_log_common_res] nfs-nfsv3: XID: 3bdb71ac, FSINFO: NFS: 0(Call completed successfully.), POSIX: 0(Success)
[2010-10-25 08:09:46.625821] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 140
[2010-10-25 08:09:46.625832] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 164, payload: 140, rpc hdr: 24
[2010-10-25 08:09:46.625841] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 140
[2010-10-25 08:09:46.625860] T [rpcsvc.c:2465:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: First Tx Buf
[2010-10-25 08:09:46.625873] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 28, Tx sent: 28
[2010-10-25 08:09:46.625883] T [rpcsvc.c:2472:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: Last Tx Buf
[2010-10-25 08:09:46.625899] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 140, Tx sent: 140
[2010-10-25 08:09:46.625982] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 4, dataread:4
[2010-10-25 08:09:46.625998] T [rpcsvc.c:1078:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Received fragment size: 140
[2010-10-25 08:09:46.626006] T [rpcsvc.c:1085:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Regular RPC header, remaining: 140
[2010-10-25 08:09:46.626017] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 140, dataread:140
[2010-10-25 08:09:46.626025] T [rpcsvc.c:2364:nfs_rpcsvc_record_update_state] nfsrpc: Regular frag
[2010-10-25 08:09:46.626037] T [rpcsvc.c:1176:nfs_rpcsvc_record_read_complete_frag] nfsrpc: Fragment remaining: 0
[2010-10-25 08:09:46.626050] T [rpcsvc.c:2386:nfs_rpcsvc_record_update_state] nfsrpc: Full Record Received.
[2010-10-25 08:09:46.626064] T [rpcsvc-auth.c:256:nfs_rpcsvc_auth_request_init] nfsrpc: Auth handler: AUTH_UNIX
[2010-10-25 08:09:46.626072] D [rpcsvc.c:1842:nfs_rpcsvc_request_create] nfsrpc: RPC XID: 3cdb71ac, Ver: 2, Program: 100003, ProgVers: 3, Proc: 19
[2010-10-25 08:09:46.626081] T [auth-unix.c:67:nfs_auth_unix_authenticate] nfsrpc: Auth Info: machine name: Centos-5.5, uid: 0, gid: 0
[2010-10-25 08:09:46.626090] D [rpcsvc.c:1285:nfs_rpcsvc_program_actor] nfsrpc: Actor found: NFS3 - FSINFO
[2010-10-25 08:09:46.626102] D [nfs3-helpers.c:2242:nfs3_log_common_call] nfs-nfsv3: XID: 3cdb71ac, FSINFO: args: FH: hashcount 0, exportid 95f225e2-2ac9-42ba-88dc-5852c9be315b, gfid 00000000-0000-0000-0000-000000000001
[2010-10-25 08:09:46.626112] T [nfs3.c:4453:nfs3_fsinfo] nfs-nfsv3: FH to Volume: getd
[2010-10-25 08:09:46.626120] T [nfs3-helpers.c:3043:nfs3_fh_resolve_inode] nfs-nfsv3: FH needs inode resolution
[2010-10-25 08:09:46.626128] T [nfs3-helpers.c:2492:nfs3_fh_resolve_inode_done] nfs-nfsv3: FH inode resolved
[2010-10-25 08:09:46.626137] T [nfs.c:410:nfs_user_create] nfs: uid: 0, gid 0, gids: 7
[2010-10-25 08:09:46.626145] T [nfs.c:418:nfs_user_create] nfs: gid: 0
[2010-10-25 08:09:46.626152] T [nfs.c:418:nfs_user_create] nfs: gid: 1
[2010-10-25 08:09:46.626158] T [nfs.c:418:nfs_user_create] nfs: gid: 2
[2010-10-25 08:09:46.626165] T [nfs.c:418:nfs_user_create] nfs: gid: 3
[2010-10-25 08:09:46.626172] T [nfs.c:418:nfs_user_create] nfs: gid: 4
[2010-10-25 08:09:46.626179] T [nfs.c:418:nfs_user_create] nfs: gid: 6
[2010-10-25 08:09:46.626185] T [nfs.c:418:nfs_user_create] nfs: gid: 10
[2010-10-25 08:09:46.626192] T [nfs-fops.c:406:nfs_fop_stat] nfs: Stat: /
[2010-10-25 08:09:46.626200] T [nfs-fops.c:135:nfs_create_frame] nfs: uid: 0, gid 0, gids: 7
[2010-10-25 08:09:46.626207] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 0
[2010-10-25 08:09:46.626214] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 1
[2010-10-25 08:09:46.626226] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 2
[2010-10-25 08:09:46.626234] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 3
[2010-10-25 08:09:46.626241] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 4
[2010-10-25 08:09:46.626247] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 6
[2010-10-25 08:09:46.626254] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 10
[2010-10-25 08:09:46.626270] T [rpc-clnt.c:1222:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 38
[2010-10-25 08:09:46.626280] T [rpc-clnt.c:1122:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 152, payload: 24, rpc hdr: 128
[2010-10-25 08:09:46.626300] T [rpc-clnt.c:1426:rpc_clnt_submit] rpc-clnt: submitted request (XID: 0x44 Program: GlusterFS 3.1, ProgVers: 310, Proc: 1) to rpc-transport (getd-client-1)
[2010-10-25 08:09:46.626370] T [rpc-clnt.c:631:rpc_clnt_reply_init] rpc-clnt: recieved rpc message (RPC XID: 0x44 Program: GlusterFS 3.1, ProgVers: 310, Proc: 1) from rpc-transport (getd-client-1)
[2010-10-25 08:09:46.626407] D [nfs3-helpers.c:2374:nfs3_log_common_res] nfs-nfsv3: XID: 3cdb71ac, FSINFO: NFS: 0(Call completed successfully.), POSIX: 0(Success)
[2010-10-25 08:09:46.626424] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 140
[2010-10-25 08:09:46.626434] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 164, payload: 140, rpc hdr: 24
[2010-10-25 08:09:46.626442] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 140
[2010-10-25 08:09:46.626461] T [rpcsvc.c:2465:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: First Tx Buf
[2010-10-25 08:09:46.626473] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 28, Tx sent: 28
[2010-10-25 08:09:46.626483] T [rpcsvc.c:2472:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: Last Tx Buf
[2010-10-25 08:09:46.626499] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 140, Tx sent: 140
[2010-10-25 08:09:53.377372] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 4, dataread:4
[2010-10-25 08:09:53.377402] T [rpcsvc.c:1078:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Received fragment size: 144
[2010-10-25 08:09:53.377412] T [rpcsvc.c:1085:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Regular RPC header, remaining: 144
[2010-10-25 08:09:53.377423] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 144, dataread:144
[2010-10-25 08:09:53.377432] T [rpcsvc.c:2364:nfs_rpcsvc_record_update_state] nfsrpc: Regular frag
[2010-10-25 08:09:53.377440] T [rpcsvc.c:1176:nfs_rpcsvc_record_read_complete_frag] nfsrpc: Fragment remaining: 0
[2010-10-25 08:09:53.377447] T [rpcsvc.c:2386:nfs_rpcsvc_record_update_state] nfsrpc: Full Record Received.
[2010-10-25 08:09:53.377458] T [rpcsvc-auth.c:256:nfs_rpcsvc_auth_request_init] nfsrpc: Auth handler: AUTH_UNIX
[2010-10-25 08:09:53.377466] D [rpcsvc.c:1842:nfs_rpcsvc_request_create] nfsrpc: RPC XID: 3ddb71ac, Ver: 2, Program: 100003, ProgVers: 3, Proc: 4
[2010-10-25 08:09:53.377477] T [auth-unix.c:67:nfs_auth_unix_authenticate] nfsrpc: Auth Info: machine name: Centos-5.5, uid: 0, gid: 0
[2010-10-25 08:09:53.377486] D [rpcsvc.c:1285:nfs_rpcsvc_program_actor] nfsrpc: Actor found: NFS3 - ACCESS
[2010-10-25 08:09:53.377502] D [nfs3-helpers.c:2242:nfs3_log_common_call] nfs-nfsv3: XID: 3ddb71ac, ACCESS: args: FH: hashcount 0, exportid 95f225e2-2ac9-42ba-88dc-5852c9be315b, gfid 00000000-0000-0000-0000-000000000001
[2010-10-25 08:09:53.377513] T [nfs3.c:1356:nfs3_access] nfs-nfsv3: FH to Volume: getd
[2010-10-25 08:09:53.377523] T [nfs3-helpers.c:3043:nfs3_fh_resolve_inode] nfs-nfsv3: FH needs inode resolution
[2010-10-25 08:09:53.377532] T [nfs3-helpers.c:2492:nfs3_fh_resolve_inode_done] nfs-nfsv3: FH inode resolved
[2010-10-25 08:09:53.377543] T [nfs.c:410:nfs_user_create] nfs: uid: 0, gid 0, gids: 7
[2010-10-25 08:09:53.377551] T [nfs.c:418:nfs_user_create] nfs: gid: 0
[2010-10-25 08:09:53.377558] T [nfs.c:418:nfs_user_create] nfs: gid: 1
[2010-10-25 08:09:53.377575] T [nfs.c:418:nfs_user_create] nfs: gid: 2
[2010-10-25 08:09:53.377583] T [nfs.c:418:nfs_user_create] nfs: gid: 3
[2010-10-25 08:09:53.377591] T [nfs.c:418:nfs_user_create] nfs: gid: 4
[2010-10-25 08:09:53.377598] T [nfs.c:418:nfs_user_create] nfs: gid: 6
[2010-10-25 08:09:53.377605] T [nfs.c:418:nfs_user_create] nfs: gid: 10
[2010-10-25 08:09:53.377613] T [nfs-fops.c:406:nfs_fop_stat] nfs: Stat: /
[2010-10-25 08:09:53.377621] T [nfs-fops.c:135:nfs_create_frame] nfs: uid: 0, gid 0, gids: 7
[2010-10-25 08:09:53.377629] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 0
[2010-10-25 08:09:53.377636] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 1
[2010-10-25 08:09:53.377643] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 2
[2010-10-25 08:09:53.377651] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 3
[2010-10-25 08:09:53.377658] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 4
[2010-10-25 08:09:53.377665] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 6
[2010-10-25 08:09:53.377672] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 10
[2010-10-25 08:09:53.377699] T [rpc-clnt.c:1222:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 39
[2010-10-25 08:09:53.377712] T [rpc-clnt.c:1122:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 152, payload: 24, rpc hdr: 128
[2010-10-25 08:09:53.377737] T [rpc-clnt.c:1426:rpc_clnt_submit] rpc-clnt: submitted request (XID: 0x45 Program: GlusterFS 3.1, ProgVers: 310, Proc: 1) to rpc-transport (getd-client-1)
[2010-10-25 08:09:53.377851] T [rpc-clnt.c:631:rpc_clnt_reply_init] rpc-clnt: recieved rpc message (RPC XID: 0x45 Program: GlusterFS 3.1, ProgVers: 310, Proc: 1) from rpc-transport (getd-client-1)
[2010-10-25 08:09:53.377877] D [nfs3-helpers.c:2374:nfs3_log_common_res] nfs-nfsv3: XID: 3ddb71ac, ACCESS: NFS: 0(Call completed successfully.), POSIX: 0(Success)
[2010-10-25 08:09:53.377893] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 96
[2010-10-25 08:09:53.377903] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 120, payload: 96, rpc hdr: 24
[2010-10-25 08:09:53.377912] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 96
[2010-10-25 08:09:53.377932] T [rpcsvc.c:2465:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: First Tx Buf
[2010-10-25 08:09:53.377946] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 28, Tx sent: 28
[2010-10-25 08:09:53.377957] T [rpcsvc.c:2472:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: Last Tx Buf
[2010-10-25 08:09:53.377974] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 96, Tx sent: 96
[2010-10-25 08:09:53.378086] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 4, dataread:4
[2010-10-25 08:09:53.378118] T [rpcsvc.c:1078:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Received fragment size: 164
[2010-10-25 08:09:53.378127] T [rpcsvc.c:1085:nfs_rpcsvc_record_read_complete_fraghdr] nfsrpc: Regular RPC header, remaining: 164
[2010-10-25 08:09:53.378139] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 164, dataread:164
[2010-10-25 08:09:53.378148] T [rpcsvc.c:2364:nfs_rpcsvc_record_update_state] nfsrpc: Regular frag
[2010-10-25 08:09:53.378156] T [rpcsvc.c:1176:nfs_rpcsvc_record_read_complete_frag] nfsrpc: Fragment remaining: 0
[2010-10-25 08:09:53.378164] T [rpcsvc.c:2386:nfs_rpcsvc_record_update_state] nfsrpc: Full Record Received.
[2010-10-25 08:09:53.378173] T [rpcsvc-auth.c:256:nfs_rpcsvc_auth_request_init] nfsrpc: Auth handler: AUTH_UNIX
[2010-10-25 08:09:53.378181] D [rpcsvc.c:1842:nfs_rpcsvc_request_create] nfsrpc: RPC XID: 3edb71ac, Ver: 2, Program: 100003, ProgVers: 3, Proc: 17
[2010-10-25 08:09:53.378200] T [auth-unix.c:67:nfs_auth_unix_authenticate] nfsrpc: Auth Info: machine name: Centos-5.5, uid: 0, gid: 0
[2010-10-25 08:09:53.378211] D [rpcsvc.c:1285:nfs_rpcsvc_program_actor] nfsrpc: Actor found: NFS3 - READDIRPLUS
[2010-10-25 08:09:53.378226] D [nfs3-helpers.c:2480:nfs3_log_readdir_call] nfs-nfsv3: XID: 3edb71ac, READDIRPLUS: args: FH: hashcount 0, exportid 95f225e2-2ac9-42ba-88dc-5852c9be315b, gfid 00000000-0000-0000-0000-000000000001, dircount: 512, maxcount: 4096
[2010-10-25 08:09:53.378243] T [nfs3.c:4089:nfs3_readdir] nfs-nfsv3: FH to Volume: getd
[2010-10-25 08:09:53.378252] T [nfs3-helpers.c:3043:nfs3_fh_resolve_inode] nfs-nfsv3: FH needs inode resolution
[2010-10-25 08:09:53.378261] T [nfs3-helpers.c:2492:nfs3_fh_resolve_inode_done] nfs-nfsv3: FH inode resolved
[2010-10-25 08:09:53.378270] T [nfs3-helpers.c:1802:nfs3_dir_open_and_resume] nfs-nfsv3: Opening: /
[2010-10-25 08:09:53.378286] T [nfs-fops.c:497:nfs_fop_opendir] nfs: Opendir: /
[2010-10-25 08:09:53.378313] T [rpc-clnt.c:1222:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 0
[2010-10-25 08:09:53.378328] T [rpc-clnt.c:1122:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 152, payload: 24, rpc hdr: 128
[2010-10-25 08:09:53.378350] T [rpc-clnt.c:1426:rpc_clnt_submit] rpc-clnt: submitted request (XID: 0x2f Program: GlusterFS 3.1, ProgVers: 310, Proc: 20) to rpc-transport (getd-client-0)
[2010-10-25 08:09:53.378365] T [rpc-clnt.c:1222:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 0
[2010-10-25 08:09:53.378374] T [rpc-clnt.c:1122:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 152, payload: 24, rpc hdr: 128
[2010-10-25 08:09:53.378390] T [rpc-clnt.c:1426:rpc_clnt_submit] rpc-clnt: submitted request (XID: 0x46 Program: GlusterFS 3.1, ProgVers: 310, Proc: 20) to rpc-transport (getd-client-1)
[2010-10-25 08:09:53.378554] T [rpc-clnt.c:631:rpc_clnt_reply_init] rpc-clnt: recieved rpc message (RPC XID: 0x46 Program: GlusterFS 3.1, ProgVers: 310, Proc: 20) from rpc-transport (getd-client-1)
[2010-10-25 08:09:53.378681] T [rpc-clnt.c:631:rpc_clnt_reply_init] rpc-clnt: recieved rpc message (RPC XID: 0x2f Program: GlusterFS 3.1, ProgVers: 310, Proc: 20) from rpc-transport (getd-client-0)
[2010-10-25 08:09:53.378710] T [nfs3-helpers.c:1769:nfs3_dir_open_cbk] nfs-nfsv3: FD_REF: 4
[2010-10-25 08:09:53.378722] T [nfs.c:410:nfs_user_create] nfs: uid: 0, gid 0, gids: 7
[2010-10-25 08:09:53.378730] T [nfs.c:418:nfs_user_create] nfs: gid: 0
[2010-10-25 08:09:53.378737] T [nfs.c:418:nfs_user_create] nfs: gid: 1
[2010-10-25 08:09:53.378745] T [nfs.c:418:nfs_user_create] nfs: gid: 2
[2010-10-25 08:09:53.378752] T [nfs.c:418:nfs_user_create] nfs: gid: 3
[2010-10-25 08:09:53.378759] T [nfs.c:418:nfs_user_create] nfs: gid: 4
[2010-10-25 08:09:53.378766] T [nfs.c:418:nfs_user_create] nfs: gid: 6
[2010-10-25 08:09:53.378773] T [nfs.c:418:nfs_user_create] nfs: gid: 10
[2010-10-25 08:09:53.378785] T [nfs-fops.c:586:nfs_fop_readdirp] nfs: readdir
[2010-10-25 08:09:53.378796] T [nfs-fops.c:135:nfs_create_frame] nfs: uid: 0, gid 0, gids: 7
[2010-10-25 08:09:53.378804] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 0
[2010-10-25 08:09:53.378811] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 1
[2010-10-25 08:09:53.378819] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 2
[2010-10-25 08:09:53.378826] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 3
[2010-10-25 08:09:53.378833] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 4
[2010-10-25 08:09:53.378840] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 6
[2010-10-25 08:09:53.378847] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 10
[2010-10-25 08:09:53.378868] T [rpc-clnt.c:1222:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 40
[2010-10-25 08:09:53.378882] T [rpc-clnt.c:1122:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 164, payload: 36, rpc hdr: 128
[2010-10-25 08:09:53.378900] T [rpc-clnt.c:1426:rpc_clnt_submit] rpc-clnt: submitted request (XID: 0x30 Program: GlusterFS 3.1, ProgVers: 310, Proc: 40) to rpc-transport (getd-client-0)
[2010-10-25 08:09:53.379032] T [rpc-clnt.c:631:rpc_clnt_reply_init] rpc-clnt: recieved rpc message (RPC XID: 0x30 Program: GlusterFS 3.1, ProgVers: 310, Proc: 40) from rpc-transport (getd-client-0)
[2010-10-25 08:09:53.379058] T [nfs.c:410:nfs_user_create] nfs: uid: 0, gid 0, gids: 7
[2010-10-25 08:09:53.379068] T [nfs.c:418:nfs_user_create] nfs: gid: 0
[2010-10-25 08:09:53.379085] T [nfs.c:418:nfs_user_create] nfs: gid: 1
[2010-10-25 08:09:53.379093] T [nfs.c:418:nfs_user_create] nfs: gid: 2
[2010-10-25 08:09:53.379121] T [nfs.c:418:nfs_user_create] nfs: gid: 3
[2010-10-25 08:09:53.379128] T [nfs.c:418:nfs_user_create] nfs: gid: 4
[2010-10-25 08:09:53.379136] T [nfs.c:418:nfs_user_create] nfs: gid: 6
[2010-10-25 08:09:53.379143] T [nfs.c:418:nfs_user_create] nfs: gid: 10
[2010-10-25 08:09:53.379150] T [nfs-fops.c:452:nfs_fop_fstat] nfs: FStat
[2010-10-25 08:09:53.379158] T [nfs-fops.c:135:nfs_create_frame] nfs: uid: 0, gid 0, gids: 7
[2010-10-25 08:09:53.379166] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 0
[2010-10-25 08:09:53.379173] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 1
[2010-10-25 08:09:53.379180] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 2
[2010-10-25 08:09:53.379212] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 3
[2010-10-25 08:09:53.379224] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 4
[2010-10-25 08:09:53.379231] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 6
[2010-10-25 08:09:53.379238] T [nfs-fops.c:137:nfs_create_frame] nfs: gid: 10
[2010-10-25 08:09:53.379306] T [rpc-clnt.c:1222:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 41
[2010-10-25 08:09:53.379325] T [rpc-clnt.c:1122:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 152, payload: 24, rpc hdr: 128
[2010-10-25 08:09:53.379347] T [rpc-clnt.c:1426:rpc_clnt_submit] rpc-clnt: submitted request (XID: 0x47 Program: GlusterFS 3.1, ProgVers: 310, Proc: 25) to rpc-transport (getd-client-1)
[2010-10-25 08:09:53.379434] T [rpc-clnt.c:631:rpc_clnt_reply_init] rpc-clnt: recieved rpc message (RPC XID: 0x47 Program: GlusterFS 3.1, ProgVers: 310, Proc: 25) from rpc-transport (getd-client-1)
[2010-10-25 08:09:53.379457] T [nfs3.c:3884:nfs3svc_readdir_fstat_cbk] nfs-nfsv3: Reached end-of-directory
[2010-10-25 08:09:53.379466] T [nfs3.c:3897:nfs3svc_readdir_fstat_cbk] nfs-nfsv3: EOF REF: 3
[2010-10-25 08:09:53.379478] D [nfs3-helpers.c:2452:nfs3_log_readdirp_res] nfs-nfsv3: XID: 3edb71ac, READDIRPLUS: NFS: 0(Call completed successfully.), POSIX: 0(Success), dircount: 512, maxcount: 4096, cverf: 3032776740, is_eof: 1
[2010-10-25 08:09:53.379491] T [nfs3-helpers.c:862:nfs3_fill_entryp3] nfs-nfsv3: Entry: ., ino: 72057594037927936
[2010-10-25 08:09:53.379502] T [nfs3-helpers.c:862:nfs3_fill_entryp3] nfs-nfsv3: Entry: .., ino: 0
[2010-10-25 08:09:53.379512] T [nfs3-helpers.c:862:nfs3_fill_entryp3] nfs-nfsv3: Entry: j, ino: 877268668805657217
[2010-10-25 08:09:53.379526] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 600
[2010-10-25 08:09:53.379536] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 624, payload: 600, rpc hdr: 24
[2010-10-25 08:09:53.379545] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 600
[2010-10-25 08:09:53.379557] T [nfs3.c:3918:nfs3svc_readdir_fstat_cbk] nfs-nfsv3: CS WIPE REF: 2
[2010-10-25 08:09:53.379566] T [nfs3.c:360:nfs3_call_state_wipe] nfs-nfsv3: fd 0xb4c48024 ref: 2
[2010-10-25 08:09:53.379581] T [rpc-clnt.c:1222:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 0
[2010-10-25 08:09:53.379593] T [rpc-clnt.c:1122:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 152, payload: 24, rpc hdr: 128
[2010-10-25 08:09:53.379612] T [rpc-clnt.c:1426:rpc_clnt_submit] rpc-clnt: submitted request (XID: 0x48 Program: GlusterFS 3.1, ProgVers: 310, Proc: 42) to rpc-transport (getd-client-1)
[2010-10-25 08:09:53.379626] T [rpc-clnt.c:1222:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 0
[2010-10-25 08:09:53.379636] T [rpc-clnt.c:1122:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 152, payload: 24, rpc hdr: 128
[2010-10-25 08:09:53.379652] T [rpc-clnt.c:1426:rpc_clnt_submit] rpc-clnt: submitted request (XID: 0x31 Program: GlusterFS 3.1, ProgVers: 310, Proc: 42) to rpc-transport (getd-client-0)
[2010-10-25 08:09:53.379670] T [rpcsvc.c:2465:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: First Tx Buf
[2010-10-25 08:09:53.379682] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 28, Tx sent: 28
[2010-10-25 08:09:53.379700] T [rpcsvc.c:2472:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: Last Tx Buf
[2010-10-25 08:09:53.379717] T [rpcsvc.c:2476:__nfs_rpcsvc_conn_data_poll_out] nfsrpc: conn: 0x88ffa88, Tx request: 600, Tx sent: 600
[2010-10-25 08:09:53.379780] T [rpc-clnt.c:631:rpc_clnt_reply_init] rpc-clnt: recieved rpc message (RPC XID: 0x48 Program: GlusterFS 3.1, ProgVers: 310, Proc: 42) from rpc-transport (getd-client-1)
[2010-10-25 08:09:53.380524] T [rpc-clnt.c:631:rpc_clnt_reply_init] rpc-clnt: recieved rpc message (RPC XID: 0x31 Program: GlusterFS 3.1, ProgVers: 310, Proc: 42) from rpc-transport (getd-client-0)
[2010-10-25 08:14:55.563860] T [rpcsvc.c:2427:nfs_rpcsvc_conn_data_poll_in] nfsrpc: conn: 0x88ffa88, readsize: 4, dataread:0
[2010-10-25 08:14:55.563912] T [rpcsvc.c:2440:nfs_rpcsvc_conn_data_poll_err] nfsrpc: Received error event
[2010-10-25 08:14:55.563927] D [rpcsvc.c:718:__nfs_rpcsvc_conn_deinit] nfsrpc: Connection de-activated: sockfd: 13
[2010-10-25 08:14:55.563961] D [rpcsvc.c:693:nfs_rpcsvc_conn_destroy] nfsrpc: Connection destroyed
Comment 4 Shehjar Tikoo 2010-10-25 03:25:57 EDT
The logs
Comment 5 Shehjar Tikoo 2010-10-26 00:31:37 EDT
The logs and the dmesg output show that the server is returning and the client is receiving the third entry in the directory, i.e. "j".

The problem is occurring at the client where nfs stack returns an EINVAL to getdents.

I think the problem is coming from the following piece of code in linux kernel:

        int reclen = ALIGN(NAME_OFFSET(dirent) + namlen + 2, sizeof(long));
        
        buf->error = -EINVAL;   /* only used if we fail.. */
        if (reclen > buf->count)
                return -EINVAL;

in fs/readdir.c:filldir(..)

Still trying to decipher that.
Comment 6 Lakshmipathi G 2010-10-26 04:14:44 EDT
strace output new kernel  - 
# uname -a
Linux ubuntu10-VirtualBox 2.6.35-22-generic #33-Ubuntu SMP Sun Sep 19 20:34:50 UTC 2010 i686 GNU/Linux

=======
open("/mnt/nfs/", O_RDONLY|O_DIRECTORY) = 3
getdents(3, /* 2 entries */, 1024)      = 32
fstat64(1, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 1), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb780a000
write(1, "--------------- nread=32 -------"..., 41--------------- nread=32 ---------------
) = 41
write(1, "i-node#  file type  d_reclen  d_"..., 45i-node#  file type  d_reclen  d_off   d_name
) = 45
write(1, "       1  directory    16       "..., 41       1  directory    16          1  ..
) = 41
write(1, "       1  directory    16       "..., 40       1  directory    16          2  .
) = 40
getdents(3, 0xbf828d4c, 1024)           = -1 EOVERFLOW (Value too large for defined data type)
dup(2)                                  = 4
fcntl64(4, F_GETFL)                     = 0x8002 (flags O_RDWR|O_LARGEFILE)
brk(0)                                  = 0x956d000
brk(0x958e000)                          = 0x958e000
fstat64(4, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 1), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7809000
_llseek(4, 0, 0xbf828b94, SEEK_CUR)     = -1 ESPIPE (Illegal seek)
write(4, "getdents: Value too large for de"..., 48getdents: Value too large for defined data type
) = 48
close(4)                                = 0
munmap(0xb7809000, 4096)                = 0
exit_group(1)                           = ?
root@ubuntu10-VirtualBox:~#
Comment 7 Shehjar Tikoo 2010-10-27 02:44:28 EDT
The problem is actually coming from the following snippet in fs/readdir.c:
filldir(..)
        d_ino = ino;
        if (sizeof(d_ino) < sizeof(ino) && d_ino != ino) {
                buf->error = -EOVERFLOW;
                return -EOVERFLOW;
        }

The previous snippet, which was from an older version, contained a bug that
forced returning an EINVAL when the return should've been EOVERFLOW. Now we
know the correct part of the kernel.

The above snippet compares the size of unsigned long(4 bytes) and u64(8bytes)
which will always be true on a 32 bit system. The real problem is that the
inode number we return gets truncated on d_ino = ino . d_ino is unsigned long
and ino is u64.Then the comparison fails because the value of the 8 byte ino is
different from the truncated 4 byte d_ino.
Comment 8 Shehjar Tikoo 2010-10-27 03:34:06 EDT
For more info:

https://bugzilla.redhat.com/show_bug.cgi?id=73877#c15
Comment 9 Lakshmipathi G 2010-10-27 04:09:24 EDT
when compiled with FILE_OFFSET_BITS readdir uses getdents64()

#gcc -D_FILE_OFFSET_BITS=64 readd.c -o read
# strace ./read

open("/mnt/nfs", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = 3
fcntl64(3, F_GETFD)                     = 0x1 (flags FD_CLOEXEC)
brk(0)                                  = 0x8e0a000
brk(0x8e33000)                          = 0x8e33000
getdents64(3, /* 4 entries */, 32768)   = 96
lstat64("/mnt/nfs/j", {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
fstat64(1, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 1), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7721000
write(1, "/mnt/nfs/j is a regular file\n", 29/mnt/nfs/j is a regular file
) = 29
write(1, "The mode of /mnt/nfs/j is 644\n\n", 31The mode of /mnt/nfs/j is 644

) = 31
lstat64("/mnt/nfs/k", {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
write(1, "/mnt/nfs/k is a regular file\n", 29/mnt/nfs/k is a regular file
) = 29
write(1, "The mode of /mnt/nfs/k is 644\n\n", 31The mode of /mnt/nfs/k is 644

) = 31
getdents64(3, /* 0 entries */, 32768)   = 0
brk(0x8e2b000)                          = 0x8e2b000
close(3)                                = 0
exit_group(0)  



running with outflags - it executes getdents and fails with EOVERFLOW.
#gcc readd.c -o read
------------
# strace ./read 
execve("./read", ["./read"], [/* 20 vars */]) = 0
brk(0)                                  = 0x8e0a000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb785d000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=50976, ...}) = 0
mmap2(NULL, 50976, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7850000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@n\1\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1421892, ...}) = 0
mmap2(NULL, 1431976, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xa22000
mprotect(0xb79000, 4096, PROT_NONE)     = 0
mmap2(0xb7a000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x157) = 0xb7a000
mmap2(0xb7d000, 10664, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7d000
close(3)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb784f000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb784f6c0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
mprotect(0xb7a000, 8192, PROT_READ)     = 0
mprotect(0x8049000, 4096, PROT_READ)    = 0
mprotect(0x388000, 4096, PROT_READ)     = 0
munmap(0xb7850000, 50976)               = 0
open("/mnt/nfs", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = 3
fcntl64(3, F_GETFD)                     = 0x1 (flags FD_CLOEXEC)
brk(0)                                  = 0x8e0a000
brk(0x8e33000)                          = 0x8e33000
getdents(3, 0x8e0a020, 32768)           = -1 EOVERFLOW (Value too large for defined data type)
brk(0x8e2b000)                          = 0x8e2b000
close(3)                                = 0
exit_group(0)                           = ?
Comment 10 Shehjar Tikoo 2010-10-28 05:48:25 EDT
The correct solution is to build apps on 32 bit systems with _FILE_OFFSET_BITS=64 to enable them to interpret the 64 bit inode numbers returned by Gluster NFS. This is a known issue with all kinds of file systems such as IRIX NFS server and XFS on Linux which all return 64 bit inode numbers and require that apps be built with this flag to support large files.
Comment 11 Shehjar Tikoo 2010-12-23 00:20:32 EST
Fixed as part of 1972. Doc available as FAQ for enable-ino32 option.

*** This bug has been marked as a duplicate of bug 1972 ***

Note You need to log in before you can comment on or make changes to this bug.